%  DoPlotsvsZ.m   - creates a series of plots of properties versus depth for
%                   different cruises and groups of stations.
%                   Saves figures to postscript files. 
%
%    needs variables set: GEOMINFO CRUISEINFO DEFAULTS
%    sets variables: CruiseName Line FixGrid DepthResolution
%    calls: SetupPlots plotPTz plotSz plotO2z plotSigmaz


MakePlot=1;
SkipPlot=0;

%SetDefaults;

%CRUISEINFO=0;
%Line='x500';
Line='grid';
FixGrid=0;
%DepthResolution='OneMeter';
DepthResolution='StdDepth';

if SkipPlot
  CRUISEINFO=0;
  CruiseName='NBP0103';
  SetupPlots;
  plotPTz;
%  print('-dpsc2',['plotPTz.' CruiseName '.ps']);
  plotSz;
%  print('-dpsc2',['plotSz.' CruiseName '.ps']);
  plotO2z;
%  print('-dpsc2',['plotO2z.' CruiseName '.ps']);
  plotSigmaz;
%  print('-dpsc2',['plotSigmaz.' CruiseName '.ps']);
end

if MakePlot
  CRUISEINFO=0;
  CruiseName='NBP0104';
  SetupPlots;
  plotPTz;
%  print('-dpsc2',['plotPTz.' CruiseName '.ps']);
  plotSz;
%  print('-dpsc2',['plotSz.' CruiseName '.ps']);
  plotO2z;
%  print('-dpsc2',['plotO2z.' CruiseName '.ps']);
  plotSigmaz;
%  print('-dpsc2',['plotSigmaz.' CruiseName '.ps']);
end

if SkipPlot
  CRUISEINFO=0;
  CruiseName='NBP0202';
  SetupPlots;
  plotPTz;
%  print('-dpsc2',['plotPTz.' CruiseName '.ps']);
  plotSz;
%  print('-dpsc2',['plotSz.' CruiseName '.ps']);
  plotO2z;
%  print('-dpsc2',['plotO2z.' CruiseName '.ps']);
  plotSigmaz;
%  print('-dpsc2',['plotSigmaz.' CruiseName '.ps']);
end

if SkipPlot
  CRUISEINFO=0;
  CruiseName='NBP0204';
  SetupPlots;

  plotPTz;
%  print('-dpsc2',['plotPTz.' CruiseName '.ps']);
  plotSz;
%  print('-dpsc2',['plotSz.' CruiseName '.ps']);
  plotO2z;
%  print('-dpsc2',['plotO2z.' CruiseName '.ps']);
  plotSigmaz;
%  print('-dpsc2',['plotSigmaz.' CruiseName '.ps']);
end



