% DoPrintonSections.m - create a series of vertical sections of water
%                    properties with values printed at the appropriate place
%                    and depth. 
%                   Saves figures to postscript files. 
%
%    needs variables set:  GEOMINFO CRUISEINFO DEFAULTS
%    sets variables: CruiseName Line FixGrid DepthResolution
%                    xrange deprange UsePotTemp
%    calls: SetupPlots printTonSection printSonSection printO2onSection printSigonSection
%
MakePlot=1;
SkipPlot=0;

%SetDefaults;

DepthResolution='StdDepth';
%CRUISEINFO=0;
Line='x500';
FixGrid=0;
CruiseName='NBP0103';
SetupPlots;
UsePotTemp=1;

%if SkipPlot
if MakePlot
  printTonSection
%  print('-dpsc2',['printTonSection.' CruiseName '.' Line '.ps'])
end

%if SkipPlot
if MakePlot
  printSonSection
%  print('-dpsc2',['printSonSection.' CruiseName '.' Line '.ps'])
end

%if SkipPlot
if MakePlot
  printO2onSection
%  print('-dpsc2',['printO2onSection.' CruiseName '.' Line '.ps'])
end

%if SkipPlot
if MakePlot
  printSigonSection
%  print('-dpsc2',['printSigonSection.' CruiseName '.' Line '.ps'])
end




