%  SetDefaults.m - Sets all needed variables for plots. This routine should
%                  be called only once at the beginning of a session. 
%                  Individual variables can be changed as needed.
%                  Most changes are made in the Do<job> driver routines.
%    needs variables set: none
%    sets variables: DEFAULTS DataDir Line FixGrid DepthResolution 
%                    PlotCoast ShadeCoast PlotBathy MaskLand
%                    MapNx MapNy UsePotTemp RefPress UseDepth
%                    xrange yrange trange srange o2range o2units 
%                    sigrange deprange botcl InfoX InfoY InfoZ
%    calls: none
%
global DEFAULTS 

DEFAULTS=1;

DataDir='/gremlin/SOGLOBEC/CruiseData/';
%             use the grid data
Line='grid';
%               do not recalculate grid values
FixGrid=0;

DepthResolution='OneMeter';
%DepthResolution='StdDepth';

%    plot coast and bathymetry on horizontal maps but do not mask land.
PlotCoast=1;
ShadeCoast=0;
PlotBathy=1;
MaskLand=0;
%          these define the value of the map grid
%          bigger values can cause matlab to run out of memory
MapNx=40;
MapNy=30;
MaskDone=0;

%          define the size of the section plot
SectionNx=30;
SectionNz=51;

UsePotTemp=1;
RefPress=0;
UseDepth=1;

xrange=[0 600];
yrange=[-100 350];
srange=[33.2 34.8];
trange=[-2 2.5];
o2range=[3 9 ];
%          convert from micromole per kg to milliliters per liter
o2units=1/44.626;
%          leave units as  micromole per kg.
%o2units=1;
deprange=[-600 0];
sigrange=[26.5 27.9];
%                contour intervals for bottom topography
botcl=[-2000 -1000 -500 ];

InfoX=330;
InfoY=-70;
InfoZ=-800;
