%  plotPTsig.m  - plot vertical profile of potential temperature versus density.
%    needs variables set:  DataDir CruiseName DepthResolution ctdcastlist 
%                         trange sigrange InfoString RefPress
%    sets variables: none
%    calls: readctd potentialtemp swstate
%

PT=[0 1];
Pden=[0 1];
figure;

plot(PT,Pden);
axis([trange sigrange]);

title('Potential Temperature vs Potential Density ');
xlabel('Temperature (C)');
ylabel('Density [Sigma]');
text(trange(1)+.1*(trange(2)-trange(1)),...
     sigrange(1)+.85*(sigrange(2)-sigrange(1)),InfoString);
text(trange(1)+.1*(trange(2)-trange(1)),...
     sigrange(1)+.8*(sigrange(2)-sigrange(1)),CruiseName);

hold on;

for cast = ctdcastlist
  file= [DataDir '/' CruiseName '/Ctd/' DepthResolution '/ctd' castnum(cast) '.dat'];
   [nlines,ndepths,desc,p,t,s,pt,r0,r1,bv,t0,t1,s0,s1,o2,par,tr,fl] = readctd(file);

  PT=potentialtemp(s,t,p,RefPress);
  [SVAN,Pden]=swstate(s,PT,RefPress);
  plot(PT,Pden);
end

hold off;

