%  plotPTz.m - plot vertical profile of potential temperature versus depth
%
%    needs variables set: DataDir CruiseName DepthResolution ctdcastlist 
%                         trange deprange InfoString
%    sets variables: none
%    calls: readctd
%

%          dummy start values
dep=[-1 01];
PT=[10 11];
figure;

plot(PT,dep);
axis([trange deprange]);

title('Potential Temperature vs depth');
xlabel('Potential Temperature (C)');
ylabel('Depth (m)');
text(trange(1) + .1*(trange(2)-trange(1)),.75*deprange(1),InfoString);
text(trange(1) + .1*(trange(2)-trange(1)),.81*deprange(1),CruiseName);
hold on;

for cast = ctdcastlist
  file= [DataDir '/' CruiseName '/Ctd/' DepthResolution '/ctd' castnum(cast) '.dat'];
   [nlines,ndepths,desc,p,t,s,pt,r0,r1,bv,t0,t1,s0,s1,o2,par,tr,fl] = readctd(file);
  dep=-p;
  plot(pt,dep);
end

hold off;


