function plotfirst(infile)
%  read the data extracted from seasoft and plot variables in various ways
%  for evaluation
%

[nlines,ndepths,desc,p,t,s,pt,r0,r1,bv,t0,t1,s0,s1,o2,par,tr,fl]=readctd(infile);

f1=findstr('ctd',infile);
file=infile(f1:f1+5);

d=-p;
figure;
plot(t0,d,'r',t1,d,'g')
title(['Temperature r=0, g=1  ' infile])
ylabel('Depth (m)');
drawnow;
print('-dpsc2',['Plots/T.' file '.ps']);

figure;
plot(s0,d,'r',s1,d,'g')
title(['Salinity r=0, g=1  ' infile])
ylabel('Depth (m)');
drawnow;
print('-dpsc2',['Plots/S.' file '.ps']);

figure;
tsdiagram([33.4 34.8], [-2 2.5], 0, 5);
text(33.45,2.1,infile);
hold on;
%          draw lines
%  plot(S,PT,);
%         mark dots
  plot(s0,t0,'r.');
  plot(s1,t1,'g.');
hold off;
drawnow;
print('-dpsc2',['Plots/PTS.' file '.ps']);

figure;
plot(o2,d,'r')
title(['Oxygen   ' infile])
ylabel('Depth (m)');
drawnow;
print('-dpsc2',['Plots/O2.' file '.ps']);

figure;
plot(par,d,'g')
title(['PAR   ' infile])
ylabel('Depth (m)');
drawnow;
print('-dpsc2',['Plots/PAR.' file '.ps']);

figure;
i=find(tr <= 0);
tr(i)=1.e-8;
ltr=log10(tr);
plot(ltr,d,'g')
title(['log10(Trans)   ' infile])
ylabel('Depth (m)');
drawnow;
print('-dpsc2',['Plots/Tr.' file '.ps']);

figure;
i=find(fl <= 0);
fl(i)=1.e-8;
lfl=log10(fl);
plot(lfl,d,'g')
title(['log10(Fluor)   ' infile])
ylabel('Depth (m)');

drawnow;
print('-dpsc2',['Plots/Fl.' file '.ps']);

