% Oceanography toolbox  v1.4 (WHOI)
%        - R. Pawlowicz 14/Mar/94 (rich@boreas.whoi.edu)
%
%  Physical Properties
%
%    adiabattempgrad   - adiabatic temperature gradent
%    bvfreq            - Bouyancy (Brunt-Vaisala) frequency
%    depth             - latitude-dependent pressure-to-depth conv.
%    potentialtemp     - potential temperature
%    pressure          - latitude-dependent depth-to-pressure conv.
%    soundspeed        - speed of sound in seawater (various formulas)
%    swcp              - Specific heat capacity of seater
%    swfreezetemp      - Freezing point of seawater
%    swstate           - Equation of State (and derivatives)
%    
%  Geographical/Geometrical Properties
%
%     dist             - geodesics and distances for points on
%                        the earth using various spheroids
%     inside           - point-in-polygon problem
%
%  Special Plotting routines
%
%     cnv2imag         - Converts interpolated pcolor pics to
%                        images (faster printing, discrete colours).
%     stickplot        - For vector time series
%     tsdiagram        - draws a T-S diagram with density contours
%     whoi             - adds a whoi logo to any plot!
%     worldmap         - World map (in one of 3 projections)
%
%  Miscellaneous
%
%     geodemo          - demo for worldmap and dist
%     indemo           - demo for inside
%     integral         - Time series integration using Simpsons Rule
%     stickdemo        - demo for stickplot
%
% If you have problems with any of these routines (or if you have
% comments, tell me = rich@boreas.whoi.edu )


